Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.request
Class ResourceContext

    java.lang.Object
      juzu.request.RequestContext
          juzu.request.MimeContext
              juzu.request.ResourceContext

    public class ResourceContext

extends MimeContext

Author:
  Julien Viet

Constructor Summary
`ResourceContext(juzu.impl.request.Request request, juzu.impl.plugin.application.Application application, juzu.impl.request.Method method, juzu.impl.bridge.spi.ResourceBridge bridge)`

Method Summary
`ClientContext` | `getClientContext()`
`Phase.Resource` | `getPhase()`

Methods inherited from class juzu.request.MimeContext
`setResponse`

Methods inherited from class juzu.request.RequestContext
`createActionDispatch, createActionDispatch, createActionDispatch, createDispatch, createResourceDispatch, createResourceDispatch, createResourceDispatch, createViewDispatch, createViewDispatch, createViewDispatch, getApplication, getApplicationContext, getHttpContext, getMethod, getParameters, getProperty, getSecurityContext, getUserContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceContext

    public ResourceContext(juzu.impl.request.Request request,
                           juzu.impl.plugin.application.Application application,
                           juzu.impl.request.Method method,
                           juzu.impl.bridge.spi.ResourceBridge bridge)

Method Detail

### getClientContext

    public ClientContext getClientContext()

### getPhase

    public Phase.Resource getPhase()

  Specified by:
    `getPhase` in class `RequestContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.